﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Managing Policies</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Policies</h1>
        <p>Identities have their lifecycle of getting onboarded, updated, and terminated as part of an enterprise ecosystem. The identities undergo changes such as users joining, getting promoted, transferred, and leaving the organization. A user who has joined a finance department and having access to critical financial applications must be revoked when the user leaves the company or when the user has moved to another department such as Sales. If the user is still having access to critical applications even after leaving an organization or moving to any other department, it is a risk to the company.</p>
        <p>Using <strong>Admin &gt; Policies</strong> you can configure relevant rules to handle various identity lifecycle events. Saviynt provides different types of rules to automatically assign or revoke access based on certain conditions. Policies help in efficiently and automatically assigning or revoking accounts, access, roles based on changes to the user identities. Hence, it avoids the arduous task of constantly keeping a vigil on the current state of a user and performing the task manually. The rules can be divided into two depending on how these are triggered.&#160;</p>
        <h2 id="Policies-EventBasedRules">Event Based Rules</h2>
        <p>The first type is the rules triggered by events or changes happening in the IGA application. For example, Technical Rule, User Update Rule, and Entitlement Update Rule can be categorized into events or changes happening for the identity objects in the IGA application. At a high level, below are the explanation of each of these rules.</p>
        <ul>
            <li>
                <MadCap:xref href="Creating-Technical-Rules.htm">Technical Rules</MadCap:xref>: This rule is mainly used to provision birth-right access (also called zero-day provisioning) to employees joining the company based on specified conditions. You can also select Remove Birthright option while creating rule to remove the access, if the specified condition given in the rule fails.</li>
            <li>
                <MadCap:xref href="Updating-User-Update-Rules.htm">User Update Rules</MadCap:xref>: The User Update Rule is mainly used when there is any change to user attribute values. For example, contractor to permanent, department change of a user, an employee or contractor gets terminated.</li>
            <li>
                <MadCap:xref href="Updating-Entitlement-Update-Rules.htm">Entitlement Update Rules</MadCap:xref>: The Entitlement Update Rule is mainly used when there is any change to the entitlement value. The entitlement name is changed, value is changed, or entitlement id changes.</li>
        </ul>
        <div class="confluence-information-macro-body">
            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                <p class="note"><b>Important Note: Changes in the Policies Sub-Menu Options when MicroServices are Enabled</b>:</p>
                <p class="note">This note provides information about the changes in&#160; sub-menu options for <strong>Policies</strong>&#160;in the user interface, when MicroServices are configured in IGA.</p>
                <p class="note">Before enabling MicroServices (that is, when MicroServices are disabled in IGA), from&#160;<b>Admin &gt; Policies</b>, both the pages—<b>Technical Rule</b>&#160;page and <b>User Update Rule</b> page — are displayed.</p>
                <p class="note">
                    <img src="../Resources/Images/Identity Access Rule menu before enabling Microservices.png" />
                </p>
                <p>
                    <p class="note">When MicroServices are enabled and configured, then from&#160;<b>Admin &gt; Policies</b>, a&#160;single page named "<b>Provisioning Rules</b>" is displayed where you can create or update provisioning rules for users.</p>
                    <p class="note">The&#160;<b>Provisioning Rules</b>&#160;page is displayed only when MicroServices are enabled in IGA</p>
                </p>
                <p class="note">
                    <img src="../Resources/Images/Identity Access Rule.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                </p>
            </div>
        </div>
        <h2 id="Policies-AccessRequestBasedRule">Access Request Based Rule</h2>
        <p>The second category of identity access rule is <MadCap:xref href="Creating-Request-Rules.htm">Creating Request Rules</MadCap:xref>. This rule is mainly used when there is an access request sent and it matches the condition given in the Request Rule. Request rule works in conjunction with Organization and Dynamic attributes specified in an endpoint.&#160; &#160; &#160;<br /></p>
    </body>
</html>